<?php
/**
 * @file
 * Popup für das Anlegen von Sip Einträgen
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once('/usr/local/www/berogui/includes/session.php');
include("./misc/config_parameter.php");

exec("/usr/local/bin/isgw -E", $output, $enumStatus);

$page = $_GET['start'];

$name = '"general"';
$query_comp = $ba->select("SELECT * FROM sip");
while ($entry = $ba->fetch_array($query_comp)) {
	if ($entry['id'] != $_GET['id'])
		$name.=',' . '"' . $entry['name'] . '"';
}

$guiMode = $ba->get('gui_mode');
if ($guiMode == "") {
	$guiMode = 'advanced';
}
?>


<script type="text/javascript">

        var validator = $("#sipp").validate({
            rules: {
                name: {
                    required: true,
                    specChar: true,
                    checkBlank: true,
                    compareName: [<?php echo $name; ?>]
                },
                user: "specChar",
                displayname: "specChar",
                auth_user: "specChar",
                secret: "specChar",
                'matchtype[]': {
                    required: {
                        depends: function (element) {
                            return $("#profile").val() == "manual";
                        }
                    }
                },
                'srtp_crypto_suites[]': {
                    required: {
                        depends: function () {
                            return ($("#srtp_mode").val() === "mandatory" || $("#srtp_mode").val() === "optional");
                        }
                    }
                },
                sip_from_user_setting_manual: {
                    specChar: "#sip_from_user_setting_manual:visible",
                },
                sip_from_display_setting_manual: {
                    specChar: "#sip_from_display_setting_manual:visible",
                },
                sip_pai_user_setting_manual: {
                    specChar: "#sip_pai_user_setting_manual:visible",
                },
                sip_ppi_user_setting_manual: {
                    specChar: "#sip_ppi_user_setting_manual:visible",
                },
                sip_proxy: {
                    checkHostname: true,
                    required: {
                        depends: function () {
                            return ($("#sip_registrar").is(":blank") && !$("#enum_search_domains").is(":visible"));
                        }
                    },
                    sipPortCheck: "<?php echo udpports(); ?>"
                },
                sip_registrar: {
                    checkHostname: true,
                    required: {
                        depends: function () {
                            return ($("#sip_proxy").is(":blank") && !$("#enum_search_domains").is(":visible"));
                        }
                    },
                    sipPortCheck: "<?php echo udpports(); ?>"
                },
                enum_search_domains: {
                    required: true,
                },
                regrefresh: {
                    required: true,
                    range: [30, 86400]
                },
                keepalive_interval: {
                    required: true,
                    range: [0, 86400]
                }
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            }
        });
        $("#sip_registrar").keyup(function () {
            required();
        });
        $("#sip_proxy").keyup(function () {
            required();
        });
        function required() {
            if ($("#profile").val() == "manual") {
                addAsterisk('matchtype[]');
            } else {
                deleteAsterisk('matchtype[]');
            }
            if ($("#srtp_mode").val() === "mandatory" || $("#srtp_mode").val() === "optional") {
                addAsterisk('srtp_crypto_suites[]');
            } else {
                deleteAsterisk('srtp_crypto_suites[]');
            }
            if ($("#sip_registrar").is(":blank") && !$("#enum_search_domains").is(":visible")) {
                addAsterisk('sip_proxy');
            } else {
                deleteAsterisk('sip_proxy');
            }
            if ($("#sip_proxy").is(":blank") && !$("#enum_search_domains").is(":visible")) {
                addAsterisk('sip_registrar');
            } else {
                deleteAsterisk('sip_registrar');
            }
        }
        $("#stunradio").click(function () {
            $(".options").show();
            $(".stun").show();
            $(".externip").hide();
        });
        $("#externipradio").click(function () {
            $(".options").show();
            $(".externip").show();
            $(".stun").hide();
        });
        $("#nonatradio").click(function () {
            $(".options").hide();
            $(".externip").hide();
            $(".stun").hide();
        });
        $("#manual").click(function () {
            disable_ipMatchtype();
        });

        function move(Orig, Dest) {
            var varFromBox = document.getElementById(Orig);
            var varToBox = document.getElementById(Dest);
            if ((varFromBox != null) && (varToBox != null))
            {
                if (varFromBox.length < 1)
                {
                    alert('There are no items in the source ListBox');
                    return false;
                }
                if (varFromBox.options.selectedIndex == -1) // when no Item is selected the index will be -1

                {
                    alert('Please select an Item to move');
                    return false;
                }
                while (varFromBox.options.selectedIndex >= 0)
                {
                    var newOption = new Option(); // Create a new instance of ListItem

                    newOption.text = varFromBox.options[varFromBox.options.selectedIndex].text;
                    newOption.value = varFromBox.options[varFromBox.options.selectedIndex].value;
                    varToBox.options[varToBox.length] = newOption; //Append the item in Target Listbox

                    varFromBox.remove(varFromBox.options.selectedIndex); //Remove the item from Source Listbox

                }
            }
            return false;
        }
        function selectall() {
            selectBox = document.getElementById('sel');
            for (var i = 0; i < selectBox.options.length; i++) {
                selectBox.options[i].selected = true;
            }
        }
        function up() {
            obj = document.getElementById('sel');
            for (var i = 0; i < obj.options.length; i++)
                if (obj.options[ i ].selected) {
                    if (i > 0)
                        change(obj, i, i - 1);
                }

        }

        function down() {
            obj = document.getElementById('sel');
            for (var i = obj.options.length - 1; i >= 0; i--) {
                if (obj.options[ i ].selected) {
                    if (i < obj.length - 1)
                        change(obj, i, i + 1);
                }
            }
        }
        function change(obj, num1, num2) {
            proVal = obj.options[num1].value;
            proTex = obj.options[num1].text;
            obj.options[num1].value = obj.options[num2].value;
            obj.options[num1].text = obj.options[num2].text;
            obj.options[num2].value = proVal;
            obj.options[num2].text = proTex;
            obj.options[num2].selected = true;
            obj.options[num1].selected = false;
        }

        function srtp() {
            if ($("#srtp_mode").val() == "off") {
                $("#srtp_crypto_suites").prop("disabled", true);
                $(".srtp_crypto_suites").hide();
                required();
            } else {
                $(".srtp_crypto_suites").show();
                $("#srtp_crypto_suites").prop("disabled", false);
                required();
            }
        }

        var i = 1;
        function show_advanced() {
            var state = true;
            if (i++ % 2 === 0) {
                $(".advanced").show();
                $(".linkAdvanced").html('<?php echo SIP_SIMPLE_DIS; ?>');
                state = true;
            } else {
                $(".advanced").hide();
                $(".linkAdvanced").html('<?php echo SIP_ADVANCED_DIS; ?>');
                state = false;
            }
			hide_server($('#enum_support').prop('checked'));
            hide_reg(document.getElementById('register').checked, state);
            options(document.getElementById('stunradio').checked, document.getElementById('externipradio').checked, state);
			srtp();
		    disable_ipMatchtype();
		    options($('#stunradio').prop('checked'), $('#externipradio').prop('checked'));
        }

        function hide_reg(value, state) {
            typeof state == 'undefined' ? state = true : state;
            if (value == false) {
                $('#reg').hide();
                $('#reg_option').hide();
                $('#keepalive_int').hide();
            } else if (state === true) {
                $('#reg').show();
                $('#reg_option').show();
                $('#keepalive_int').show();
            }
        }

        function disable_ipMatchtype() {
            if ($('#manual').prop('checked') == true) {
                $('#address').prop('disabled', true);
                $('#address').prop('checked', false);
            }
            if ($('#manual').prop('checked') == false) {
                $('#address').prop('disabled', false);
            }
        }

        function hide_server(value) {
            if (value === false) {
                $('.sip_proxy').show();
                $('#sip_proxy').prop('disabled', false);
                $('.enum_search_domains').hide();
                $('#enum_search_domains').prop('disabled', true);
            } else if (value === true) {
                $('.sip_proxy').hide();
                $('#sip_proxy').prop('disabled', true);
                $('.enum_search_domains').show();
                $('#enum_search_domains').prop('disabled', false);
            }
        }

        function options(stun, externip, state) {
            typeof state == 'undefined' ? state = true : state;
            if ((stun == false && externip == false) || state == false) {
                $(".options").hide();
            } else if (state == true) {
                $(".options").show();
            }
            if (stun == true && state == true) {
                $(".stun").show();
                $(".externip").hide();
            } else {
                $(".stun").hide();
            }
            if (externip == true && state == true) {
                $(".externip").show();
                $(".stun").hide();
            } else {
                $(".externip").hide();
            }
        }

        function getProfile() {
            selectedOpt = $("#type").val();
            $("#type option").each(function ()
            {
                if (selectedOpt == "manual")
                    $("[id='" + $(this).val() + "']").hide();
                else if (selectedOpt == $(this).val())
                    $("[id='" + $(this).val() + "']").show();
                else
                    $("[id='" + $(this).val() + "']").hide();
            });
        }

        function openPopup(page) {
            profile = $("[id='" + $("#type").val() + "']").val();
            type = $("#type").val();
            var result = null;
            $('.modal-body').load("modules/Sip/sip_popup.php?start=" + page + "&profile=" + encodeURI(profile) + "&type=" + encodeURI(type), function (res) {
                //result = res;
                //$('.modal-body').html(result);
            });
        }

        function change_config(reg) {
            if (reg.checked) {
                document.getElementById("sip_from_user_setting").options[6].selected = true;
                document.getElementById("sip_from_user_setting_manual").style.display = "none";
                document.getElementById("sip_from_display_setting").options[0].selected = true;
                document.getElementById("sip_from_display_setting_manual").style.display = "none";
                document.getElementById("from_sip_src_setting").options[1].selected = true;
            } else {
                document.getElementById("sip_from_user_setting").options[0].selected = true;
                document.getElementById("sip_from_user_setting_manual").style.display = "none";
                document.getElementById("sip_from_display_setting").options[0].selected = true;
                document.getElementById("sip_from_display_setting_manual").style.display = "none";
                document.getElementById("from_sip_src_setting").options[0].selected = true;
            }
        }

        $(document).ready(function () {
			required();
            $('[data-toggle="tooltip"]').tooltip({placement : 'auto bottom', html : true, trigger : 'hover'});
        });
        $('#sip-tab a').click(function (e) {
            e.preventDefault();
			$(this).tab('show');
        });
		
		$('#sip-tab a').on('hide.bs.tab', function (e) {
			var valid = true;
			var tab=e.target.getAttribute('href');
			$(tab).find("input").each(function() {
				if (!validator.element(this) && valid) {
					valid = false;
				}
			});
			$(tab).find("select").each(function() {
				if (!validator.element(this) && valid) {
					valid = false;
				}
			});
			if (!valid)
				e.preventDefault();
		});
				

</script>

<?php
require_once "./includes/isgwtelnet.php";
require_once "./includes/profileParser.php";

/*
 * Die Udpports, die in der Datenbank gespeichert sind werden zurückgegeben
 * und nachher angezeigt.
 */

function udpports() {
	$ba = new beroAri();
	return $ba->get("udpports");
}

function showdefmc($config_values, $fixedSettings) {
	$isgw = new isgwtelnet();
	$result = $isgw->isgw_login();
	if ($result != false) {
		$dialplanc = $isgw->isgw_dialplanconfig();
		$zeilen = explode("\n", $dialplanc);
		foreach ($zeilen as $zeile) {
			if (stripos($zeile, '[') === 0) {
				preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
				if (!in_array($res['name'], $config_values) && ($res['bez'] == "s" || $res['bez'] == "*")) {
					?>
					<script>
						var extra_tooltip = document.getElementById('extra_tooltip');
						extra_tooltip.innerHTML = extra_tooltip.innerHTML + '<p><? echo DIALPLAN_OPTION_DIS; ?><b>&nbsp;<? echo $res['name']; ?></b><br><? echo DIALPLAN_VALUES_DIS; ?><b>&nbsp;&lt;<? echo $res['val']; ?>&gt;</b><br>Default:<b>&nbsp;<? echo $res['def']; ?></b><br><i><? echo htmlspecialchars($res['desc'], ENT_QUOTES); ?></i></p><br>';
					</script>
					<?php
				}
			}
		}
		if (!isset($_GET['id'])) {
			$config = $fixedSettings['config'];
		} else {
			$ba = new beroAri();
			$query = $ba->select("select config from sip where id='" . sqlite_escape_string($_GET['id']) . "'");
			while ($entry = $ba->fetch_array($query)) {
				$config = $entry['config'];
			}
		}
		if ($config != "") {
			$configs = explode(',', $config);
			foreach ($configs as $value) {
				$key = explode('=', $value, 2);
				if ($key[0] != "" && $key[1] != "" && !in_array($key[0], $config_values)) {
					?>
					<script>
						$('#addit_options').append('<? echo $key[0]; ?>=<? echo $key[1]; ?>\n');
					</script>
					<?php
				} elseif ($key[0] != "" && $key[1] == "" && !in_array($key[0], $config_values)) {
					?>
					<script>
						$('#addit_options').append('<? echo $key[0]; ?>=\n');
					</script>
					<?php
				}
			}
		}
	}
}

function show_confadd($config_values) {
	$isgw = new isgwtelnet();
	$result = $isgw->isgw_login();
	if ($result != false) {
		$dialplanc = $isgw->isgw_dialplanconfig();
		$zeilen = explode("\n", $dialplanc);
		foreach ($zeilen as $zeile) {
			if (stripos($zeile, '[') === 0) {
				preg_match("/\[(?<bez>.+)\]\[(?<name>.+)\][\s]*(?<desc>.+)[\s]*\<(?<val>.*)\>[\s]*'(?<def>.*)'/", $zeile, $res);
				if (!in_array($res['name'], $config_values) && ($res['bez'] == "s" || $res['bez'] == "*")) {
					?>
					<script>
						var extra_tooltip = document.getElementById('extra_tooltip');
						$('#extra_tooltip').html($('#extra_tooltip').prop("innerHTML") + '<p><? echo DIALPLAN_OPTION_DIS; ?><b>&nbsp;<? echo $res['name']; ?></b><br><? echo DIALPLAN_VALUES_DIS; ?><b>&nbsp;&lt;<? echo $res['val']; ?>&gt;</b><br>Default:<b>&nbsp;<? echo $res['def']; ?></b><br><i><? echo htmlspecialchars($res['desc'], ENT_QUOTES); ?></i></p><br>');
					</script>
					<?php
				}
			}
		}
	}
}

function register($ba, $id, $fixedSettings) {
	$register = getValue($ba, $id, "register", $fixedSettings);
	if ($register == "1")
		$checkbox = "<input type='hidden' name='register' value='0'>"
		. "<input type='checkbox' name='register' id='register' value='1' checked onchange='hide_reg(this.checked); change_config(this)'>";
	else
		$checkbox = "<input type='hidden' name='register' value='0'>"
		. "<input type='checkbox' name='register' id='register' value='1' onchange='hide_reg(this.checked); change_config(this)'>";
	return $checkbox;
}

function enum_support($ba, $id, $fixedSettings) {
	$enum_support = getValue($ba, $id, "enum_support", $fixedSettings);
	if ($enum_support == "1")
		$checkbox = "<input type='hidden' name='enum_support' value='0'>"
		. "<input type='checkbox' name='enum_support' id='enum_support' value='1' checked onchange='hide_server(this.checked); '>";
	else
		$checkbox = "<input type='hidden' name='enum_support' value='0'>"
		. "<input type='checkbox' name='enum_support' id='enum_support' value='1' onchange='hide_server(this.checked);'>";
	return $checkbox;
}

function register_option($ba, $id, $fixedSettings) {
	$option = getValue($ba, $id, "register_option", $fixedSettings);
	if ($option == "validate")
		return "<option value='validate' selected>validate</option>
			<option value='no-validate no-options-keepalive'>no-validate</option>";
	elseif ($option == "no-validate no-options-keepalive" || $option == "")
		return "<option value='validate'>validate</option>
			<option value='no-validate no-options-keepalive' selected>no-validate</option>";
	else
		return "<option value='validate'>validate</option>
			<option value='no-validate no-options-keepalive' selected>no-validate</option>";
}

function sip_transport($option) {
	$sel = "<select name='sip_transport' id='sip_transport' class='form-control input-sm'>";
	if ($option == "udp")
		$sel.="<option value='udp' selected>udp</option>";
	else
		$sel.="<option value='udp'>udp</option>";
	if ($option == "tcp")
		$sel.="<option value='tcp' selected>tcp</option>";
	else
		$sel.="<option value='tcp'>tcp</option>";
	if ($option == "tls")
		$sel.="<option value='tls' selected>tls</option>";
	else
		$sel.="<option value='tls'>tls</option>";
	$sel.="</select>";
	return $sel;
}

function call_transfer_method($option) {
	$options = array('refer', 'reinvite');
	$sel = "<select name='call_transfer_method' id='call_transfer_method' class='form-control input-sm'>";
	foreach ($options as $value) {
		if ($value == $option)
			$sel.="<option value='$value' selected>$value</option>";
		else
			$sel.="<option value='$value'>$value</option>";
	}
	$sel.="</select>";
	return $sel;
}

function matchtype($option, $manual) {
	$option = explode("|", $option);
	(in_array("address", $option) || $option[0] == "") ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='checkbox pull-left'>"
		. "<label><input type='checkbox' name='matchtype[]' id='address' value='address' $checked>IP Address</label>"
		. "</div>";

	(in_array("fromuser", $option)) ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'>"
		. "<label><input type='checkbox' name='matchtype[]' value='fromuser' $checked>From User</label>"
		. "</div>";

	(in_array("touser", $option)) ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'>"
		. "<label><input type='checkbox' name='matchtype[]' value='touser' $checked>To User</label>"
		. "</div>";

	(in_array("contactuser", $option)) ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'><label><input type='checkbox' name='matchtype[]' value='contactuser' $checked>Contact User</label>"
		. "</div>";

	(in_array("requesturluser", $option)) ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'>"
		. "<label><input type='checkbox' name='matchtype[]' value='requesturluser' $checked>Request-URI User</label>"
		. "</div>";

	(in_array("manual", $option)) ? $checked = "checked" : $checked = "";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'>"
		. "<label><input type='checkbox' name='matchtype[]' id='manual' value='manual' $checked>Manual</label>"
		. "</div>";
	$checkbox.="<div class='clearfix'></div>"
		. "<div class='checkbox pull-left'>"
		. "<label><input name='matchtype_manual' class='form-control input-sm' value='" . $manual . "' size='14' /></label>"
		. "</div>";
	return $checkbox;
}

function getValue($ba, $id, $option, $fixedSettings) {
	if ($id === null)
		return $fixedSettings[$option];

	$query = $ba->select("select $option from sip where id=\"" . sqlite_escape_string($id) . "\"");
	return stripslashes(sqlite_fetch_single($query));
}

function profiles() {
	$categories = array();
	$type = "<select name='type' id='type' class='form-control' onChange='getProfile();'>"
		. "<option value='manual'>Manual</option>";
	$dh = @opendir("/usr/conf/profile");
	if (false !== $dh) {
		while ($file = readdir($dh)) {
			if ("." == $file || ".." == $file)
				continue;
			array_push($categories, $file);
			$type.='<option value=\'' . $file . '\'>' . $file . '</option>';
		}
	}
	$type.="</select>";
	if (false !== $dh) {
		foreach ($categories as $category) {
			$profile .= "<select name='$category' id='$category' class='form-control' style='display:none;'>";
			$dh = @opendir("/usr/conf/profile/" . $category);
			if (false === $dh) {
				return false;
			}
			while ($file = readdir($dh)) {
				if ("." == $file || ".." == $file)
					continue;
				$profile.='<option value=\'' . $file . '\'>' . $file . '</option>';
			}
			$profile.="</select>";
		}
	}
	return $type . $profile;
}

function getProfile() {
	if (isset($_GET['id']))
		return getValue(new beroAri(), $_GET['id'], 'profile', $fixedSettings);
	else if ($_GET['type'] == "manual")
		return $_GET['type'];
	else
		return $_GET['type'] . "-" . $_GET['profile'];
}

$config_values = array("t38", "dtmfmode", "codecs", "ie_on_sip", "from_sip_src_setting",
    "wait_for_cancel", "sip_to_user_setting", "sip_from_user_setting",
    "sip_from_display_setting", "failover_proxy", "failover_timeout", "s2i_cpt", "i2s_cpt",
    "sip_national_code", "sip_international_code", "isdn2sip_destination_numformat", "isdn2sip_source_numformat",
    "dialplan_international_prefix", "sip2dialplan_dad_prefix_setting",
    "sip2dialplan_oad_prefix_setting", "srtp_mode", "sip_to_user_setting", "sip_from_user_setting", "sip_ppi_user_setting", "sip_pai_user_setting", "qvalue", "s2s_nat_opener", "use_privacy_header", "srtp_crypto_suites");




if (!isset($_GET['id']) && !isset($_GET['profile'])) {
	?>
	<form class='form-horizontal' name='profile'>
	    <div class='form-group'>
		<label for='name' class='col-sm-3 control-label'><? echo SIP_PROFILE_DIS; ?></label>
		<div class='col-sm-8'><? echo profiles(); ?></div>
	    </div>
	    <br /><br />
	    <div class='text-center'><button  class='btn btn-default' onclick="openPopup('<? echo $page; ?>');" type='button'><? echo BUTTON_NEXT; ?></button></div>
	</form>
	<?php
} else {


	$fields = array("name", "sip_proxy", "sip_registrar", "sip_domain", "user", "auth_user", "displayname", "secret",
	    "sip_transport", "stunserver", "externip", "register", "regrefresh", "register_option",
	    "config", "matchtype", "enum_support", "enum_search_domains", "keepalive_interval", "call_transfer_method",
		"t38", "ie_on_sip", "wait_for_cancel", "dtmfmode", "s2i_cpt",
		"i2s_cpt", "failover_proxy", "failover_timeout", "sip_national_code", "sip_international_code",
		"isdn2sip_destination_numformat", "isdn2sip_source_numformat", "dialplan_international_prefix", "sip2dialplan_dad_prefix_setting",
		"sip2dialplan_oad_prefix_setting", "srtp_mode", 
		"from_sip_src_setting", "sip_to_user_setting", "sip_from_user_setting", "sip_from_display_setting", "sip_ppi_user_setting", "sip_pai_user_setting", "qvalue", "s2s_nat_opener", "use_privacy_header",
		"codecs","addit_options");
	$fixedSettings = array();
	?>
	<script>
		$(document).ready(function () {
		    hide_reg(document.getElementById('register').checked);
		    hide_server($('#enum_support').prop('checked'));
		    srtp();
		    disable_ipMatchtype();
		    $('#srtp_mode').change(function () {
			srtp();
		    });
		    options($('#stunradio').prop('checked'), $('#externipradio').prop('checked'));
	<?php
//Profil auslesen
	if (getProfile() != "manual") {
		$profileParser = new profileParser(getProfile());
		$userSettings = $profileParser->getUserSettings();
		$fixedSettings = $profileParser->getFixedSettings();
		//Allgemeiner Hilfetext anzeigen
		if ($profileParser->getHelpText() !== null) {
			?>
				    $('.help').html('<i><? echo $profileParser->getHelpText(); ?></i>');
			<?php
		}
		//Help Text for tooltip überschreiben falls ein Text zur Verfügung in dem Profil steht
		foreach ($userSettings as $value) {
			if ($profileParser->getFieldHelp($value) !== null) {
				?>
					    $('.<? echo $value; ?>').prop('data-toggle', 'tooltip');
					    $('.<? echo $value; ?>').prop('data-placement', 'auto bottom');
					    $('.<? echo $value; ?>').prop('data-trigger', 'hover');
					    $('.<? echo $value; ?>').attr('data-original-title', '<? echo $profileParser->getFieldHelp($value); ?>');
				<?php
			}
		}
		?>

			    $('.more').addClass('advanced');
		<?php
		//Felder im Formular die nicht user settings sind
		$diffArray = array_diff($fields, $userSettings);
		foreach ($diffArray as $value) {
			if ($value === "stunserver" || $value === 'externip') {
				?>
					    $('.natoptions').addClass('advanced');
				<?php
			}
			?>
				    $('.<? echo $value; ?>').addClass('advanced');
			<?php
		}
		?>
			    show_advanced();
		<?php
	}
	?>
		});
	</script>
	<?php
	(getValue($ba, $_GET['id'], "stunserver", $fixedSettings) == "") ? $stun = "" : $stun = "checked";
	(getValue($ba, $_GET['id'], "externip", $fixedSettings) == "") ? $externip = "" : $externip = "checked";
	(getValue($ba, $_GET['id'], "externip", $fixedSettings) == "" && getValue($ba, $_GET['id'], "stunserver", $fixedSettings) == "") ? $nonat = "checked" : $nonat = "";
	$regrefresh = (getValue($ba, $_GET['id'], "regrefresh", $fixedSettings) == "") ? "300" : getValue($ba, $_GET['id'], "regrefresh", $fixedSettings);
	$keepalive_interval = (getValue($ba, $_GET['id'], "keepalive_interval", $fixedSettings) == "") ? "0" : getValue($ba, $_GET['id'], "keepalive_interval", $fixedSettings);

	if ($guiMode == 'simple' && getProfile() == "manual")
		$simple_class = 'simple';
	?>
	<div class='help'></div>
	<div>

	    <!-- Nav tabs -->
	    <ul class='nav nav-tabs' role='tablist' id='sip-tab'>
		<li role='presentation' class='active'><a href='#settings' aria-controls='settings' role='tab' data-toggle='tab'>Settings</a></li>
<?php	if ($guiMode == 'advanced') { ?>
		<li role='presentation'><a href='#config-string' aria-controls='config-string' role='tab' data-toggle='tab'>More</a></li>
<?php	} ?>
	    </ul>

	    <form name='sipp' id='sipp' action='modules/Sip/sip_submit.php' method='POST' class='form-horizontal'>
		<div class='tab-content'>
			<div role='tabpanel' class='tab-pane active' id='settings' style="padding-top:15px;">
			<input type=hidden name='start' value='<? echo $page; ?>'>
			<input type=hidden name='profile' id='profile' value='<? echo getProfile(); ?>'>
			<input type='password' name='dummy' style='display:none'>
			<div class='form-group name' data-toggle='tooltip' title='<? echo TRUNKS_SIP_NAME; ?>'>
			    <label for='name' class='col-sm-3 control-label'><? echo SIP_NAME_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='name' id='name' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "name", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group sip_proxy' data-toggle='tooltip' title='<? echo TRUNKS_SIP_PROXY; ?>'>
			    <label for='sip_proxy' class='col-sm-3 control-label'><? echo SIP_PROXY_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='sip_proxy' id='sip_proxy' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "sip_proxy", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group sip_registrar' data-toggle='tooltip'  title='<? echo TRUNKS_SIP_REGISTRAR; ?>'>
			    <label for='sip_registrar' class='col-sm-3 control-label'><? echo SIP_REGISTRAR_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='sip_registrar' class='form-control input-sm' id='sip_registrar' type='text' value='<? echo getValue($ba, $_GET['id'], "sip_registrar", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group sip_domain <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_DOMAIN; ?>'>
			    <label for='sip_domain' class='col-sm-3 control-label'><? echo SIP_DOMAIN_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='sip_domain' id='sip_domain' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "sip_domain", $fixedSettings); ?>'>
			    </div>
			</div>
			<?php
			if ($enumStatus === 0) {
				?>
				<div class='form-group enum_search_domains <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_ENUM_SEARCH_DOMAINS; ?>'>
				    <label for='enum_search_domains' class='col-sm-3 control-label'><? echo SIP_ENUM_SEARCH_DOMAINS_DIS; ?></label>
				    <div class='col-sm-8'>
					<input name='enum_search_domains' id='enum_search_domains' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "enum_search_domain", $fixedSettings); ?>'>
				    </div>
				</div>
				<div class='form-group enum_support <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_ENUM_SUPPORT_DIS; ?>'>
				    <label for='enum_support' class='col-sm-3 control-label'><? echo SIP_ENUM_SUPPORT_DIS; ?></label>
				    <div class='col-sm-8'>
					<? echo enum_support($ba, $_GET['id'], $fixedSettings); ?>
				    </div>
				</div>
				<?php
			}
			?>
			<div class='form-group user' data-toggle='tooltip' title='<? echo TRUNKS_SIP_USER; ?>'>
			    <label for='sip_domain' class='col-sm-3 control-label'><? echo SIP_USER_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='user' id='user' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "user", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group auth_user <? echo $simple_class; ?>'>
			    <label for='auth_user' class='col-sm-3 control-label'><? echo SIP_AUTH_USER_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='auth_user' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "auth_user", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group displayname <? echo $simple_class; ?>'>
			    <label for='displayname' class='col-sm-3 control-label'><? echo SIP_DISPLAYNAME_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='displayname' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "displayname", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group secret' data-toggle='tooltip' title='<? echo TRUNKS_SIP_SECRET; ?>'>
			    <label for='secret' class='col-sm-3 control-label'><? echo SIP_SECRET_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='secret' id='secret' class='form-control input-sm' autocomplete='new-password' type='password' value='<? echo getValue($ba, $_GET['id'], "secret", $fixedSettings); ?>'>
			    </div>
			</div>
			<div class='form-group matchtype <? echo $simple_class; ?>'>
			    <label for='matchtype[]' class='col-sm-3 control-label'><? echo DIALPLAN_MATCH_TYPE_DIS; ?></label>
			    <div class='col-sm-8'>
				<? echo matchtype(getValue($ba, $_GET['id'], "matchtype", $fixedSettings), getValue($ba, $_GET['id'], "matchtype_manual", $fixedSettings)); ?>
			    </div>
			</div>
			<div class='form-group call_transfer_method <? echo $simple_class; ?>'>
			    <label for='call_transfer_method' class='col-sm-3 control-label'><? echo SIP_CALL_TRANSFER_METHOD_DIS; ?></label>
			    <div class='col-sm-8'>
				<? echo call_transfer_method(getValue($ba, $_GET['id'], "call_transfer_method", $fixedSettings)); ?>
			    </div>
			</div>
			<div class='form-group sip_transport <? echo $simple_class; ?>'>
			    <label for='sip_transport' class='col-sm-3 control-label'><? echo SIP_GENERAL_SIP_TRANSPORT_DIS; ?></label>
			    <div class='col-sm-8'>
				<? echo sip_transport(getValue($ba, $_GET['id'], "sip_transport", $fixedSettings)); ?>
			    </div>
			</div>
			<div class='form-group natoptions <? echo $simple_class; ?>'>
			    <label for='option' class='col-sm-3 control-label'><? echo SIP_OPTIONS_DIS; ?></label>
			    <div class='col-sm-8'>
				<div class='radio pull-left'>
				    <label><input name='option' id='nonatradio' type='radio' value='nonat' <? echo $nonat; ?> ><? echo SIP_NONAT_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
				<div class='radio pull-left'>
				    <label><input name='option' id='stunradio' type='radio' value='stun' <? echo $stun; ?> ><? echo SIP_STUNSERVER_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
				<div class='radio pull-left'>
				    <label><input name='option' id='externipradio' type='radio' value='externip' <? echo $externip; ?>><? echo SIP_EXTERNIP_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
			    </div>
			</div>
			<div class='form-group options <? echo $simple_class; ?>'>
			    <label for='stunserver' class='col-sm-3 control-label stun'><? echo SIP_STUNSERVER_DIS; ?></label>
			    <label for='externip' class='col-sm-3 control-label externip'><? echo SIP_EXTERNIP_DIS; ?></label>
			    <div class='col-sm-8'>
				<div class='stun'><input name='stunserver' id='stunserver' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "stunserver", $fixedSettings); ?>' ></div>
				<div class='externip'><input name='externip' id='externip' class='form-control input-sm' type='text' value='<? echo getValue($ba, $_GET['id'], "externip", $fixedSettings); ?>'></div>
			    </div>
			</div>
			<div class='form-group register' data-toggle='tooltip' data-html="true" title='<? echo TRUNKS_SIP_REGISTER; ?>'>
			    <label for='register' class='col-sm-3 control-label'><? echo SIP_REGISTER_DIS; ?></label>
			    <div class='col-sm-8'>
				<? echo register($ba, $_GET['id'], $fixedSettings); ?>
			    </div>
			</div>
			<div id='reg' class='form-group regrefresh <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_REGREFRESH; ?>'>
			    <label for='regrefresh' class='col-sm-3 control-label'><? echo SIP_REGISTRATION_INTERVALL_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='regrefresh' class='form-control input-sm' id='regrefresh' type='text' value='<? echo $regrefresh; ?>'>
			    </div>
			</div>
			<div id='reg_option' class='form-group keepalive_interval <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_REGISTER_OPTION; ?>'>
			    <label for='keepalive_interval' class='col-sm-3 control-label'><? echo SIP_REGISTER_OPTION_DIS; ?></label>
			    <div class='col-sm-8'>
				<select name='register_option' class='form-control'><? echo register_option($ba, $_GET['id'], $fixedSettings); ?></select>
			    </div>
			</div>
			<div id='keepalive_int' class='form-group register_option <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_KEEPALIVE_INTERVAL; ?>'>
			    <label for='register_option' class='col-sm-3 control-label'><? echo SIP_KEEPALIVE_INTERVAL_DIS; ?></label>
			    <div class='col-sm-8'>
				<input name='keepalive_interval' class='form-control input-sm' id='keepalive_interval' type='text' value='<? echo $keepalive_interval; ?>'>
			    </div>
			</div>
			<div class='text-center <? echo $simple_class; ?>'>
			    <?php
			    if (getProfile() != "manual") {
				    ?>
				    <a href='#' onclick='show_advanced();' class='linkAdvanced'><? echo SIP_ADVANCED_DIS; ?></a>&nbsp;&nbsp;
				    <?php
			    }
			    $config = getValue($ba, $_GET['id'], 'config', $fixedSettings);
			    ?>
			</div>
		    </div>
		    <div role='tabpanel' class='tab-pane' id='config-string'>
				<div class="row t38 dtmfmode srtp_mode codecs <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_MEDIA_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group t38 <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo T38; ?>'>
					<label for='t38' class='col-sm-3 control-label'><? echo DIALPLAN_T38_SUPPORT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo t38($config); ?>
					</div>
				</div>
				<div class='form-group dtmfmode <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo DTMFMODE; ?>'>
					<label for='dtmfmode' class='col-sm-3 control-label'><? echo DIALPLAN_DTMF_MODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo dtmfmode($config); ?>
					</div>
				</div>
				<div class='form-group srtp_mode <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SRTP_MODE; ?>'>
					<label for='srtp_mode' class='col-sm-3 control-label'><? echo DIALPLAN_SRTP_MODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo srtp_mode($config); ?>
					</div>
				</div>
				<div class='form-group srtp_crypto_suites <? echo $simple_class; ?>'>
					<label for='srtp_crypto_suites[]' class='col-sm-3 control-label'><? echo DIALPLAN_SRTP_CRYPTO_SUITES_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo srtp_crypto_suites($config); ?>
					</div>
				</div>
				<div class='form-group codecs <? echo $simple_class; ?>'>
					<label for='codecs' class='col-sm-3 control-label'><? echo DIALPLAN_CODECS_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo codecs($config); ?>
					</div>
				</div>
				
				<div class="clearfix"></div>
				<div class="row wait_for_cancel s2i_cpt i2s_cpt <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_STATE_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group wait_for_cancel <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo WAIT_FOR_CANCEL; ?>'>
					<label for='wait_for_cancel' class='col-sm-3 control-label'><? echo DIALPLAN_WAIT_FOR_CANCEL_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo wait_for_cancel($config); ?>
					</div>
				</div>
				<div class='form-group s2i_cpt <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo CALL_PROGRESS_TABLE; ?>'>
					<label for='s2i_cpt' class='col-sm-3 control-label'><? echo DIALPLAN_CALL_PROGRESS_TABLE_S2I_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo s2i_cpt($config); ?>
					</div>
				</div>
				<div class='form-group i2s_cpt <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo CALL_PROGRESS_TABLE; ?>'>
					<label for='i2s_cpt' class='col-sm-3 control-label'><? echo DIALPLAN_CALL_PROGRESS_TABLE_I2S_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo i2s_cpt($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row ie_on_sip sip_to_user_setting sip_from_display_setting sip_from_user_setting  sip_pai_user_setting sip_ppi_user_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_SIP_SETTINGS_DIS; ?></p>
				</div>
				<div class='form-group ie_on_sip <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo IE_ON_SIP; ?>'>
					<label for='ie_on_sip' class='col-sm-3 control-label'><? echo DIALPLAN_IE_ON_SIP_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo ie_on_sip($config); ?>
					</div>
				</div>
				<div class='form-group sip_to_user_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_TO_USER_SETTING; ?>'>
					<label for='sip_to_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_TO_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo called_party_number_sip('sip_to_user_setting', $config); ?>
					</div>
				</div>
				<div class='form-group sip_from_user_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_FROM_USER_SETTING; ?>'>
					<label for='sip_from_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_FROM_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_from_user_setting', $config); ?>
					</div>
				</div>
				<div class='form-group sip_from_display_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_FROM_DISPLAY_SETTING; ?>'>
					<label for='sip_from_display_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_FROM_DISPLAY_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_from_display_setting', $config); ?>
					</div>
				</div>
				
				<div class='form-group sip_pai_user_setting<? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_PAI_USER_SETTING; ?>'>
					<label for='sip_pai_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_PAI_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_pai_user_setting', $config); ?>
					</div>
				</div>
				
				<div class='form-group sip_ppi_user_setting<? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_PPI_USER_SETTING; ?>'>
					<label for='sip_ppi_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_PPI_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_ppi_user_setting', $config); ?>
					</div>
				</div>
				
				<div class="clearfix"></div>
				<div class="row sip_national_code sip_international_code dialplan_international_prefix 
					 isdn2sip_destination_numformat isdn2sip_source_numformat sip2dialplan_dad_prefix_setting
					 sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_PROVIDER_SETTINGS_DIS; ?></p>
				</div>
				<div class='form-group sip_national_code <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_NATIONAL_CODE_SETTING; ?>'>
					<label for='sip_national_code' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_NATIONAL_CODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('sip_national_code', $config); ?>
					</div>
				</div>
				<div class='form-group sip_international_code <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_INTERNATIONAL_CODE_SETTING; ?>'>
					<label for='sip_international_code' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_INTERNATIONAL_CODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('sip_international_code', $config); ?>
					</div>
				</div>
				<div class='form-group dialplan_international_prefix <? echo $simple_class; ?>'>
					<label for='dialplan_international_prefix' class='col-sm-3 control-label'><? echo DIALPLAN_DIALPLAN_INTERNATIONAL_PREFIX_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('dialplan_international_prefix', $config, "00"); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row isdn2sip_destination_numformat isdn2sip_source_numformat <? echo $simple_class; ?>">
					<div class="text-center">
						<h5><? echo DIALPLAN_PSTN_TO_SIP_DIS; ?></h5>
					</div>
				</div>
				<div class='form-group isdn2sip_destination_numformat <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN2SIP_DESTINATION_NUMFORMAT; ?>'>
					<label for='isdn2sip_destination_numformat' class='col-sm-3 control-label'><? echo DIALPLAN_ISDN2SIP_DESTINATION_NUMFORMAT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo isdn2sip_destination_numformat($config); ?>
					</div>
				</div>
				<div class='form-group isdn2sip_source_numformat <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN2SIP_SOURCE_NUMFORMAT; ?>'>
					<label for='isdn2sip_source_numformat' class='col-sm-3 control-label'><? echo DIALPLAN_ISDN2SIP_SOURCE_NUMFORMAT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo isdn2sip_source_numformat($config); ?>
					</div>
				</div>
				
				<div class='form-group use_privacy_header <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo USE_PRIVACY_HEADER_TOOLTIP; ?>'>
					<label for='use_privacy_header' class='col-sm-3 control-label'><? echo DIALPLAN_USE_PRIVACY_HEADER_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo use_privacy_header($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row sip2dialplan_dad_prefix_setting sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>">
					<div class="text-center">
						<h5><? echo DIALPLAN_SIP_TO_PSTN_DIS; ?></h5>
					</div>
				</div>
				<div class='form-group sip2dialplan_dad_prefix_setting <? echo $simple_class; ?>'>
					<label for='sip2dialplan_dad_prefix_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP2DIALPLAN_DAD_PREFIX_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip2dialplan_dad_prefix_setting($config); ?>
					</div>
				</div>
				<div class='form-group sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>'>
					<label for='sip2dialplan_oad_prefix_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP2DIALPLAN_OAD_PREFIX_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip2dialplan_oad_prefix_setting($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row from_sip_src_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group from_sip_src_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FROM_SIP_SRC_SETTING; ?>'>
					<label for='failover_timeout' class='col-sm-3 control-label'><? echo DIALPLAN_FROM_SIP_SRC_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo from_sip_src_setting($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row failover_proxy failover_timeout <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_OTHER_DIS; ?></p>
				</div>
				<div class='form-group failover_proxy <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FAILOVER_ACCOUNT; ?>'>
					<label for='failover_proxy' class='col-sm-3 control-label'><? echo DIALPLAN_FAILOVER_ACCOUNT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo failover_proxy($config); ?>
					</div>
				</div>
				<div class='form-group failover_timeout <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FAILOVER_TIMEOUT; ?>'>
					<label for='failover_timeout' class='col-sm-3 control-label'><? echo DIALPLAN_FAILOVER_TIMEOUT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo failover_timeout($config); ?>
					</div>
				</div>
				
								<div class='form-group s2s_nat_opener <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_NAT_OPENER_TOOLTIP; ?>'>
					<label for='s2s_nat_opener' class='col-sm-3 control-label'><? echo SIP_NAT_OPENER_HEADER; ?></label>
					<div class='col-sm-8'>
					<? echo s2s_nat_opener('s2s_nat_opener', $config); ?>
					</div>
				</div>
				
				<div class='form-group qvalue<? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_QVALUE_TOOLTIP; ?>'>
					<label for='qvalue' class='col-sm-3 control-label'><? echo SIP_QVALUE_HEADER; ?></label>
					<div class='col-sm-8'>
					<? echo qvalue('qvalue', $config); ?>
					</div>
				</div>
				
					
				<div class='form-group addit_options <? echo $simple_class; ?>'  data-toggle='tooltip' title='<? echo ADDIT_OPTIONS; ?>'>
					<label for='addit_options' class='col-sm-3 control-label'><? echo DIALPLAN_ADDITIONAL_CONFIG_DIS; ?></label>
					<div class='col-sm-8'>
					<textarea name='addit_options' id='addit_options' class='form-control' rows='5'></textarea>
					</div>
				</div>
					<div class='form-group addit_options <? echo $simple_class; ?>'>
						<label for='extra_tooltip' class='col-sm-3 control-label'><? echo DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS; ?></label>
					<div class='col-sm-8'>
						<p id='extra_tooltip' class='form-control-static' style='height: 170px; overflow: auto; border: 1px solid #A31D26; resize:both;'></p>
					</div>
					</div>
				<div class="clearfix"></div>
				</div>
		</div>
		<div class='text-center'><i><? echo REQUIRED_FIELDS; ?></i></div>
		<?php
		if (isset($_GET['id']) || getProfile() != "manual") {
			showdefmc($config_values, $fixedSettings);
		} else {
			show_confadd($config_values);
		}
		if (isset($_GET['id'])) {
			?>
			<input type='hidden' name='alt_name' value='<? echo getValue($ba, $_GET['id'], "name", $fixedSettings); ?>'><input type='hidden' name='id_upd' value='<? echo $_GET['id']; ?>'>
			<?php
		}
		?>
		<div class='text-center'>
		    <button type='submit' class='btn btn-default' onclick='selectall();'><? echo BUTTON_SAVE; ?></button>
		</div>
	    </form>					
	</div>
	<?php
}
?>
